Subject: Re: linux-next: build failure after merge of the drm-exynos tree

From: Kaustabh Chakraborty <[email-masked]>
Date: Sun, 28 Sep 2025 15:31:58 +0000

On 2025-09-12 02:47, Stephen Rothwell wrote:
> Hi all,
> 
> On Thu, 4 Sep 2025 07:59:23 +1000 Stephen Rothwell 
> <[email-masked]> wrote:
>> 
>> On Wed, 03 Sep 2025 15:51:03 +0000 Kaustabh Chakraborty 
>> <[email-masked]> wrote:
>> >
>> > This commit is from commit [1] of branch [2]. However, the macro is
>> > defined in commit [3] of branch [4]. I had sent those patches in a single
>> > patchset, though.
>> >
>> > I guess the merge strategy would be exynos-drm-misc-next, followed by exynos-drm-next.
>> >
>> > Let me know if you need to know anything else. Thanks!
>> >
>> > [1] https://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos.git/commit/?h=exynos-drm-next&id=d07e4c00696f53510ec8a23dcba0c4ac87840874
>> > [2] https://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos.git/log/?h=exynos-drm-next
>> >
>> > [3] https://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos.git/commit/?h=exynos-drm-misc-next&id=bcd0d93e902e54e6b404b574b3a6b23315bcea8d
>> > [4] https://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos.git/log/?h=exynos-drm-misc-next
>> 
>> The problem is that nobody has ever asked me to merge [4] into
>> linux-next ... I also presume that it will be merged into the 
>> drm-fixes
>> tree (or Linus' tree) at some point and that hasn't happened either.
> 
> This is still failing ... and it has been since Aug 21!

Hi, can you can try merging it again? The macro is in linux-next now.

> --
> Cheers,
> Stephen Rothwell